QGIS Application - Feature request #5382
Point Sampling Tool: Speed up by simply not writing fields and records being processed
2012-04-16 11:04 AM - alobo -

Status: Closed

Priority: Normal

Assignee: Borys Jurgiel

Category: Python plugins

Pull Request or Patch supplied: Resolution: invalid
Easy fix?: No Copied to github as #: 15062
Description

Point Sampling Tool takes a long time to complete for

a large nb of points (~20000) and many layers (~8). | note

that the status message is updated for each point and for each field or layer.
Perhaps this input/output operation slows down the processing a lot.

Could you try not to update the fields at all and perhaps update

the nb of processed points at steps of 1007?

(could not find a subproject for Point Samplin Tool in
https://issues.qgis.org/projects/qgis-user-plugins)

Agus

History

#1 - 2012-09-04 12:08 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#2 - 2012-09-16 03:41 PM - Borys Jurgiel
- Resolution set to invalid
- Status changed from Open to Closed

I've created the subproject and moved this ticket to #6350
